%define		status		stable
%define		pearname	DB_DataObject
Summary:	%{pearname} - an SQL builder, object interface to database tables
Summary(pl.UTF-8):	%{pearname} - SQL builder, obiektowy interfejs do tabel bazodanowych
Name:		php-pear-%{pearname}
Version:	1.11.5
Release:	2
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	1a4b3d6114768b835a56a56585e3422b
Patch0:		DB_DataObject-PLD.patch
URL:		http://pear.php.net/package/DB_DataObject/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.3
Requires:	php-pear >= 4:1.0-8
Requires:	php-pear-DB >= 1.7.0
Requires:	php-pear-Date >= 1.4.3
Suggests:	php-pear-MDB2
Suggests:	php-pear-Validate
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Validate.*) pear(MDB2.*)

%description
The core class is designed to be extended for each of your tables so
that you put the data logic inside the data classes. Included is a
Generator to make your configuration files and your base classes.
DataObject performs 2 tasks:
- Builds SQL statements based on the objects vars and the builder
  methods,
- acts as a datastore for a table row.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Główna klasa została stworzona tak, by być rozszerzalną dla każdej
tabeli, więc można umieścić logikę danych w klasach danych. Dołączony
jest generator do tworzenia plików konfiguracyjnych i klas bazowych.
DataObject pełni 2 zadania:
- tworzy zapytania SQL bazując na zmiennych obiektowych i metodach
  tworzenia
- przechowuje dane z wiersza tabeli.

Ta klasa ma w PEAR status: %{status}.

%package cli
Summary:	CLI interface for DB_DataObject
Summary(pl.UTF-8):	Interfejs linii poleceń dla DB_DataObject
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description cli
CLI interface for DB_DataObject generator.

%description cli -l pl.UTF-8
Interfejs linii poleceń dla generatora DB_DataObject.

%prep
%pear_package_setup
mv ./%{php_pear_dir}/DB/DataObject/createTables.php DB_DataObject_createTables
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install
install -p DB_DataObject_createTables $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/DB/*.php
%dir %{php_pear_dir}/DB/DataObject
%{php_pear_dir}/DB/DataObject/Cast.php
%{php_pear_dir}/DB/DataObject/Error.php
%{php_pear_dir}/DB/DataObject/Generator.php
%{php_pear_dir}/DB/DataObject/Links.php

%files cli
%defattr(644,root,root,755)
%doc docs/%{pearname}/docs/example.ini
%attr(755,root,root) %{_bindir}/DB_DataObject_createTables
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-DB_DataObject.git;a=log;h=master

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> f39edc3
- release 2 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fef329f
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Oct 22 2018 Adam Gołębiowski <adamg@pld-linux.org> 05a4ce4
- updated to 1.11.5

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> 3a438a3
- up to 1.11.4

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> d02459f
- up to 1.11.3

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> fe1c054
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat May 05 2012 Elan Ruusamäe <glen@pld-linux.org> 7cfa1dd
- up to 1.10.0

* Thu Sep 08 2011 Elan Ruusamäe <glen@pld-linux.org> ea0af08
- up to 1.9.6

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 17dbfba
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> ee94b0d
- updated to: 1.9.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 40cc15b
- rel 2

* Wed Aug 22 2007 Adam Gołębiowski <adamg@pld-linux.org> 724760b
- updated to 1.8.7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7a4e496
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d8f31f0
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 2aa815e
- updated to 1.8.5

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 51b8be6
- rel 7: use php(extension) virtuals

* Fri Nov 17 2006 Elan Ruusamäe <glen@pld-linux.org> 50087e3
- rel 6

* Fri Nov 17 2006 Jakub Bogusz <qboosh@pld-linux.org> fefadfa
- pl for -cli

* Thu Nov 16 2006 Elan Ruusamäe <glen@pld-linux.org> ccff9b7
- separated CLI; rel 5

* Wed Nov 01 2006 Elan Ruusamäe <glen@pld-linux.org> 5261541
- in php4 needs overload extension; rel 4

